
set title "Plotted from file zgoubi.fai  \n Isochronism: T_{rev}(R) is slowly increasing, NOT constant. \n" font "sans, 16 \n ~ " 

set key maxcol 1
set key spac 1.2
set key t l  font "Roman, 16"

#set logscale y 

set xtics nomirror font  "sans, 16"
set x2tics nomirror font  "sans, 16"
set ytics nomirror font  "sans, 16"
set y2tics nomirror font  "sans, 16"

# set size ratio 1.

set xlabel "R [m] \n" font  "sans, 20"
set x2label "E_k [MeV]" font  "sans, 20"
set ylabel "Time of flight [{/Symbol m}s]" font  "sans, 20"
set y2label "E_k [MeV]" font  "sans, 20"

cm2m = 0.01
s2mus = 1e6
MeV2eV = 1e6
am = 938.27203
c = 2.99792458e8
pi = 4. * atan(1.)
B=0.5  # dipole field

set xrange [.1:.9]        # m
#set x2range [0.02:6.12]                    # MeV

# Ek = sqrt(p^2 +M^2)-M and m bta c*2/q =bta*M = c B R
Ek(x) = sqrt((c * B * x/ MeV2eV)**2 + am**2) - am
# T=C/v and  R=mv/qB = M[eV] v / c^2 B
Tclass(x) = 2.*pi * am / (c**2 *B) * MeV2eV * s2mus
# Trel = C/v and v=bta*c  and bta = p/sqrt(p^2 + M^2)  and bta*M=cBR 
Trel(x) = 2.*pi*x /c *1e6 / ((c * B * x/ MeV2eV) / sqrt((c * B * x/ MeV2eV)**2 + am**2))
# T(Ek) = 2piR/v = 2pim/qB = 2pi*(Ek+M)/ Bc^2
Tw(x) = 2.*pi * (x+am) / (c**2* B) * MeV2eV * s2mus

plot  \
   "zgoubi.fai" u ($24):($15) axes x2y1 w p pt 6 lc rgb "blue" tit "T_{rev}(E_k)" ,\
    Tw(x) axes x2y1  w l lt 1 lw 2 lc rgb "blue" tit "theor.  '' "  ,\
   "zgoubi.fai" u ($10 *cm2m):($15) axes x1y1 w p pt 4 lc rgb "red" tit "T_{rev}(R)" ,\
    Trel(x) axes x1y1  w l lt 1 lw 2 lc rgb "red" tit "theor.  '' "  ,\
    Tclass(x < 0.65 ? x :1/0) axes x1y1  w l lt 2 lw 2 lc rgb "blue" tit "theor. non relativistic '' "  ,\
   "zgoubi.fai" u ($10 *cm2m):($24) axes x1y2 w p pt 8 ps 1.5 lc rgb "green" tit "E_k(R)"  ,\
    Ek(x) axes x1y2  w l lt 1 lw 2 lc rgb "green" tit "theor.  '' " 

#     set terminal postscript eps blacktext color  enh size 8cm,8cm "Times-Sans" 12  
     set terminal postscript eps blacktext color  enh  "Times-Sans" 16  
     set output "gnuplot_zgoubi.fai_T.vs.R.eps"  
     replot  
     set terminal X11  
     unset output  

 
pause 1
exit

